dbXML API

## org.dbxml.xml.dom
Interface DBDocument

All Superinterfaces:
  DBNode, org.w3c.dom.Document, org.w3c.dom.Node

All Known Implementing Classes:
  DocumentImpl

public interface DBDocument
extends DBNode, org.w3c.dom.Document

DBDocument represents a dbXML Collection-originating Document.

Field Summary
`static java.lang.String` `CACHE`
`static java.lang.String` `CACHE_CONTROL`
`static java.lang.String` `NOCACHE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`boolean` `isAuthoring()` isAuthoring returns whether or not this Document is in an authoring mode.
`boolean` `isCaching()` getCaching returns whether or not this Document should be cached by some sort of caching mechanism.
`void` `setAuthoring(boolean authoring)` setAuthoring sets whether or not this Document is in an authoring mode.
`void` `setCaching(boolean caching)` setCaching sets whether or not this Document should be cached by some sort of caching mechanism.

Methods inherited from interface org.dbxml.xml.dom.DBNode
`expandSource, getSource, setSource`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.Document
`createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, importNode`

Field Detail

### CACHE_CONTROL

    public static final java.lang.String CACHE_CONTROL

### CACHE

    public static final java.lang.String CACHE

### NOCACHE

    public static final java.lang.String NOCACHE

Method Detail

### isCaching

    public boolean isCaching()

  getCaching returns whether or not this Document should be cached by some sort of caching mechanism.
  Returns:
    Whether or not the Document can be cached

### setCaching

    public void setCaching(boolean caching)

  setCaching sets whether or not this Document should be cached by some sort of caching mechanism.
  Parameters:
    `caching` - Whether or not the Document can be cached

### isAuthoring

    public boolean isAuthoring()

  isAuthoring returns whether or not this Document is in an authoring mode. Authoring mode is useful for Documents that dynamically generate themselves (like those that include dbXML autolinks) to tell the processor not to perform any dynamic modification.
  Returns:
    The authoring mode

### setAuthoring

    public void setAuthoring(boolean authoring)
                      throws org.w3c.dom.DOMException

  setAuthoring sets whether or not this Document is in an authoring mode. Authoring mode is useful for Documents that dynamically generate themselves (like those that include dbXML autolinks) to tell the processor not to perform any dynamic modification.
  Returns:
    authoring The authoring mode

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved